Subject: Broken unshading

From: Tim Phipps <[email-masked]>
Date: Thu, 10 Feb 2000 16:00:56 +0000

Unshading is still broken (by me) and I'm not sure how to fix it. I
think the prblem is due to me changing the background pixmap of
win->frame to None when it used to be set to the same as win->decor_w.
The reason for this is that for ParentRelative transparency to ever work
the visual of win->frame must be the same as the root and so cannot be
the same as win->decor_w.  I thought that win->frame was never visible
but I think it is during animated unshading. I think the win->decor_w is
shrunk when shaded and is not restored until the end of the unshading.
Could this be changed so the win->decor_w remains in the unshaded size
all the time?

I found this in borders.c:

    case 3:
      XMoveResizeWindow(dpy, tmp_win->decor_w, dx, dy, w, h);
      break;
    }
  }
  set_decor_gravity(
    tmp_win, NorthWestGravity, NorthWestGravity, NorthWestGravity);
  XMoveWindow(dpy, tmp_win->Parent, px, py);
  XMoveWindow(dpy, tmp_win->decor_w, 0, 0);

It looks a bit odd to move decor_w to (dx, dy) and then move it back to
(0, 0)

Cheers,
Tim.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 10 Feb 2000 18:23:18 +0100

> It looks a bit odd to move decor_w to (dx, dy) and then move it back to

I'm not sure about the implications.  The code in borders.c and
for windowshading is extremely touchy.  I don't see a reason why
it shouldn't work, but ...  Let's give it a try.  Tim, if you
encounter any problems, don't hesitate to ask questions.  It
took me about three days to get shading/resizing straight, so
there must be something of all the trouble I had left in my
memory :-)  (not that I'm eager to surface all these
unpleasant memories ;-) )

Bye

Dominik ^_^

-- 
Dominik Vogt, Agilent Technologies, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/464-4596, fax: 07031/464-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]